import Vue from 'vue/dist/vue';
import test from 'ava';
import Axios from 'axios';
import sinon from 'sinon';

window.axios = Axios;

import SSO from './../dist/SSO.min.js';

let vm;

test.before(t => {

    window.axios = Axios;

});


test('Check mounted checks and loads in a token if it finds one', t => {

    let time = new Date();
    time.setMinutes(time.getMinutes() + 5 + 1);

    sinon.stub(window.localStorage, 'getItem').returns(JSON.stringify({token: 'zzzz', expire: time}));

    vm = new Vue();

    Vue.use(SSO, {
        baseURL: '/api',
        authEndpoint: '/auth/login',
        key: 'my-app',
        refresh: '/auth/refresh_token',
        rootDomainSSO: '//somesite/sso'
    });

    t.is(vm.$SSO._data.store.token, 'zzzz');

    t.true(vm.$SSO.loggedin());

    window.localStorage.getItem.restore();

});

test('Check refresh works as expected', t => {

    t.is(typeof(vm.$SSO._data.refreshTimeout), 'object');

});