const path = require('path');
const webpack = require('webpack');
const UglifyJSPlugin = require('uglifyjs-webpack-plugin');
const PACKAGE = require('./package.json');

module.exports = {
    entry: {
        SSO: './src/SSO.js'
    },
    output: {
        filename: '[name].min.js',
        path: path.resolve(__dirname, 'dist'),
        publicPath: '/',
        libraryTarget: 'umd'
    },
    module: {
        rules: [
            {
                test: /\.js$/,
                loader: 'babel-loader',
                exclude: /node_modules/,
                query: {
                    presets: ['es2015', 'stage-0']
                }
            }
        ]
    },
    plugins: [
        new UglifyJSPlugin(),
        new webpack.BannerPlugin({banner: `/* [file] Version:${PACKAGE.version} */`, raw: true, entryOnly: true}),
    ]
};